Package org.postgresql.util

# Class PGmoney

java.lang.Object
org.postgresql.util.PGobject
org.postgresql.util.PGmoney

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class PGmoney extends PGobject implements Serializable, Cloneable
This implements a class that handles the PostgreSQL money and cash types.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `isNull`
  If the object represents `null::money`
  `double`
  `val`

  ### Fields inherited from class org.postgresql.util.PGobject

  `type, value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PGmoney()`
  `PGmoney(double value)`
  `PGmoney(String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  This must be overridden to allow the object to be cloned.
  `boolean`
  `equals(@Nullable Object obj)`
  This must be overridden to allow comparisons of objects.
  `@Nullable String`
  `getValue()`
  This must be overridden, to return the value of the object, in the form required by org.postgresql.
  `int`
  `hashCode()`
  Compute hash.
  `void`
  `setValue(@Nullable String s)`
  This method sets the value of this object.

  ### Methods inherited from class org.postgresql.util.PGobject

  `equals, getType, isNull, setType, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### val

    public double val

  - ### isNull

    public boolean isNull
    If the object represents `null::money`

- ## Constructor Details

  - ### PGmoney

    public PGmoney(double value)
    Parameters:
      `value` - of field

  - ### PGmoney

    public PGmoney(String value) throws SQLException
    Throws:
      `SQLException`

  - ### PGmoney

    public PGmoney()

- ## Method Details

  - ### setValue

    public void setValue(@Nullable String s) throws SQLException
    Description copied from class: `PGobject`
    This method sets the value of this object. It must be overridden.
    Overrides:
      `setValue` in class `PGobject`
    Parameters:
      `s` - a string representation of the value of the object
    Throws:
      `SQLException` - thrown if value is invalid for this type

  - ### hashCode

    public int hashCode()
    Description copied from class: `PGobject`
    Compute hash. As equals() use only value. Return the same hash for the same value.
    Overrides:
      `hashCode` in class `PGobject`
    Returns:
      Value hashcode, 0 if value is null `Objects.hashCode(Object)`

  - ### equals

    public boolean equals(@Nullable Object obj)
    Description copied from class: `PGobject`
    This must be overridden to allow comparisons of objects.
    Overrides:
      `equals` in class `PGobject`
    Parameters:
      `obj` - Object to compare with
    Returns:
      true if the two boxes are identical

  - ### getValue

    public @Nullable String getValue()
    Description copied from class: `PGobject`
    This must be overridden, to return the value of the object, in the form required by org.postgresql.
    Overrides:
      `getValue` in class `PGobject`
    Returns:
      the value of this object

  - ### clone

    public Object clone() throws CloneNotSupportedException
    Description copied from class: `PGobject`
    This must be overridden to allow the object to be cloned.
    Overrides:
      `clone` in class `PGobject`
    Throws:
      `CloneNotSupportedException`